Update Order Item
curl --request PUT \
--url https://api.example.com/{version}/orders/{order_id}/items/{id}/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"qty": 123,
"amount": 1.01
}
'import requests
url = "https://api.example.com/{version}/orders/{order_id}/items/{id}/update"
payload = {
"name": "<string>",
"qty": 123,
"amount": 1.01
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', qty: 123, amount: 1.01})
};
fetch('https://api.example.com/{version}/orders/{order_id}/items/{id}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{version}/orders/{order_id}/items/{id}/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'qty' => 123,
'amount' => 1.01
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 123,
"name": "<string>",
"currency": "<string>",
"qty": 123,
"amount": 1.01,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}orders
Update Order Item
PUT
/
{version}
/
orders
/
{order_id}
/
items
/
{id}
/
update
Update Order Item
Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
OrderItemResponse
Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
Required string length:
3A positive, non-zero amount.
Required range:
x >= 0.01Last modified on June 23, 2026
Was this page helpful?
